package com.qmth.sop.business.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.base.BaseEntity;
import com.qmth.sop.common.contant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

/**
 * 客户表 模型.
 * 
 * @author: shudonghui
 * @date: 2023-08-30 08:30:30
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
@ApiModel(value = "sys_custom_addr对象", description = "客户表")
public class SysCustomAddr implements Serializable {

	private static final long serialVersionUID = 1L;

	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	@TableId(value = "id")
	private Long id;

  	@ApiModelProperty(value = "客户ID")
	@JsonSerialize(using = ToStringSerializer.class)
	@NotNull(message = "客户ID不能为空")
  	private long customId;

	@ApiModelProperty(value = "省份")
	@javax.validation.constraints.NotBlank(message = "省份不能为空")
	private String province;

	@ApiModelProperty(value = "城市")
	@javax.validation.constraints.NotBlank(message = "城市不能为空")
	private String city;

	@ApiModelProperty(value = "县区")
	private String area;
  	@ApiModelProperty(value = "地址")
	@NotBlank(message = "地址不能为空")
  	private String address;
  	@ApiModelProperty(value = "经度")
	@NotBlank(message = "经度不能为空")
  	private String longitude;
  	@ApiModelProperty(value = "纬度")
	@NotBlank(message = "纬度不能为空")
  	private String latitude;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public long getCustomId() {
		return customId;
	}

	public void setCustomId(long customId) {
		this.customId = customId;
	}

	/**
	 * 地址
	 */	
  	public void setAddress(String address) {
		this.address = address;
  	}
 	/**
	 * 地址
	 */	 	
  	public String getAddress() {
		return address;
  	}
	/**
	 * 经度
	 */	
  	public void setLongitude(String longitude) {
		this.longitude = longitude;
  	}
 	/**
	 * 经度
	 */	 	
  	public String getLongitude() {
		return longitude;
  	}
	/**
	 * 纬度
	 */	
  	public void setLatitude(String latitude) {
		this.latitude = latitude;
  	}
 	/**
	 * 纬度
	 */	 	
  	public String getLatitude() {
		return latitude;
  	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}
}